;
; StubApp ini file
;
;  usage:
;    Stubapp -i <inifile> -m <section>
;
;	 [section]
;	 1=x
;	 2=y
;	 [1.2k]
;	 exename=notepad.exe
;  <section> contains a list with parts to run 

;  <section> can be decorated:
;    Section.2K  - Windows 2000
;    Section.XP  - Windows XP
;    Section.2K3 - Windows 2003 Server
;    Section.VISTA  - Windows Vista
;    Section.XP64  - Windows XP x64
;    Section.VISTA64  - Windows Vista 64
;
;    Section.NT  - Windows 2000, XP, 2K3, Vista
;    Section.x64 - Windows XP64, Vista64
;
;    Section     - all OS's
;
; The order of precedence for decoration in decending order is as follows
;  OS ( 2K, XP, 2K3, VISTA, XP64, VISTA64 )
;  Platform (NT, x64)
;  Undecorated
;
;  there is a [var] section that can be used for variable substitution
;    this is decorated by LCID values (1033,1034, etc):
;    [var]
;    lang=enww
;    [var.1033]
;    lang=enww
;    [var.1034]
;    lang=esww
;         variables available for use - at least %SourcePath% is needed
;              - %SourcePath% - location of stubapp.exe
;              - %SystemDir% - Windows \System or \System32 Folder
;              - %ProgramFilesDir% - Windows \Program Files folder
;              - %WindowsDir% - Windows Folder
;              - %PrinterDriverDir% - Windows Printer Driver Folder
;		  for InstallDir, use varfromkey
;			  [VarFromKey]
;			  InstallDir=HKLM\SOFTWARE\Hewlett-Packard\DigitalImaging\InstallFolder
;			  [var]
;			  InstallDir=HKLM\SOFTWARE\Hewlett-Packard\DigitalImaging\InstallFolder
;
;  Application parameters
;    exename - location of application
;    command line parameters to be passed - exact syntax
;    waittofinish - 0=execute and continue; 1=wait for it to finish execution before continuing
;    whentorun - 0=sw first only; 1=hw first only; 2=both hw and sw 1st


;Install Notes
[RecInstallNotes]
1=RecINotes
[RecINotes]
exename=%InstallDir%ToolBoxFX\products\HP LaserJet P2050\documentation\LJP2050_installnotes_%4Letter%.htm
params=
waittofinish=0
whentorun=2

[CDInstallNotes]
1=CDINotes
[CDINotes]
exename=%sourcepath%\%ManualsLang%\Manuals\LJP2050_installnotes_%4Letter%.htm
params=
waittofinish=0
whentorun=2

[CDPQVideo]
1=CDPQVid
[CDPQVid]
exename=%sourcepath%\setup\hppPQVideoP2050\animations\%4Letter%\P2050_pqt_%2letter%.exe
params=
waittofinish=0
whentorun=2

;UserGuide
[RecUserGuide]
1=RecUG
[RecUG]
exename=%InstallDir%ToolBoxFX\products\HP LaserJet P2050\documentation\LJP2050_use_%4Letter%.chm
params=
waittofinish=0
whentorun=2

[CDUserGuide]
1=CDUG
[CDUG]
exename=%SourcePath%\%ManualsLang%\Manuals\LJP2050_use_%4Letter%.chm
params=
waittofinish=0
whentorun=2

;eGSG
[AutoLaunch]
1=GSG
[eGSG]
1=GSG
[GSG]
exename=%sourcepath%\%GSG_AppName%
params=%4Letter%
;params=
waittofinish=0
whentorun=2

[VarFromKey]
InstallDir=HKLM\SOFTWARE\Hewlett-Packard\DigitalImaging\InstallFolder
[var]
InstallDir=%ProgramFilesDir%\HP\
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
GSG_AppName=HPLJP2030.exe
;language variables
[var.1033]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.3081]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.10249]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.4105]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.9225]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.6153]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.8201]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.5129]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.13321]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.7177]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.11273]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.2057]
3letter=ENU
ManualsLang=English
4letter=enww
2letter=en
[var.1025]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.14337]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.15361]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.5121]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.3073]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.2049]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.11265]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.13313]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.12289]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.4097]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.6145]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.8193]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.16385]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.10241]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.7169]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.9217]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.1067]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.1068]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.2092]
3letter=ARA
ManualsLang=Arabic
4letter=arww
2letter=ar
GSG_AppName=HPLJP2030_r.exe
[var.1046]
3letter=PTB
ManualsLang=Portugues
4letter=ptww
2letter=pt
[var.2070]
3letter=PTB
ManualsLang=Portugues
4letter=ptww
2letter=pt
[var.1026]
3letter=BUL
ManualsLang=Bulgarian
4letter=bgww
2letter=bg
[var.1027]
3letter=CAT
ManualsLang=Catalan
4letter=caww
2letter=ca
[var.2052]
3letter=CHS
ManualsLang=Simplified_Chinese
4letter=zhcn
2letter=zhcn
[var.4100]
3letter=CHS
ManualsLang=Simplified_Chinese
4letter=zhcn
2letter=zhcn
[var.1028]
3letter=CHT
ManualsLang=Traditional_Chinese
4letter=zhtw
2letter=zhtw
[var.3076]
3letter=CHT
ManualsLang=Traditional_Chinese
4letter=zhtw
2letter=zhtw
[var.5124]
3letter=CHT
ManualsLang=Traditional_Chinese
4letter=zhtw
2letter=zhtw
[var.1050]
3letter=HRV
ManualsLang=Hrvatski
4letter=hrww
2letter=hr
[var.1029]
3letter=CSY
ManualsLang=Cestina
4letter=csww
2letter=cs
[var.1030]
3letter=DAN
ManualsLang=Dansk
4letter=daww
2letter=da
[var.1043]
3letter=NLD
ManualsLang=Nederlands
4letter=nlww
2letter=nl
[var.2067]
3letter=NLD
ManualsLang=Nederlands
4letter=nlww
2letter=nl
[var.1061]
3letter=EST
ManualsLang=Eesti
4letter=etww
2letter=et
[var.1035]
3letter=FIN
ManualsLang=Suomi
4letter=fiww
2letter=fi
[var.1036]
3letter=FRA
ManualsLang=Francais
4letter=frww
2letter=fr
[var.2060]
3letter=FRA
ManualsLang=Francais
4letter=frww
2letter=fr
[var.3084]
3letter=FRA
ManualsLang=Francais
4letter=frww
2letter=fr
[var.5132]
3letter=FRA
ManualsLang=Francais
4letter=frww
2letter=fr
[var.4108]
3letter=FRA
ManualsLang=Francais
4letter=frww
2letter=fr
[var.1031]
3letter=DEU
ManualsLang=Deutsch
4letter=deww
2letter=de
[var.3079]
3letter=DEU
ManualsLang=Deutsch
4letter=deww
2letter=de
[var.5127]
3letter=DEU
ManualsLang=Deutsch
4letter=deww
2letter=de
[var.4103]
3letter=DEU
ManualsLang=Deutsch
4letter=deww
2letter=de
[var.2055]
3letter=DEU
ManualsLang=Deutsch
4letter=deww
2letter=de
[var.1032]
3letter=ELL
ManualsLang=Greek
4letter=elww
2letter=el
[var.1037]
3letter=HEB
ManualsLang=Hebrew
4letter=heww
2letter=he
GSG_AppName=HPLJP2030_r.exe
[var.1038]
3letter=HUN
ManualsLang=Magyar
4letter=huww
2letter=hu
[var.1057]
3letter=IND
ManualsLang=Indonesian
4letter=idww
2letter=id
[var.1040]
3letter=ITA
ManualsLang=Italiano
4letter=itww
2letter=it
[var.2064]
3letter=ITA
ManualsLang=Italiano
4letter=itww
2letter=it
[var.1041]
3letter=JPN
ManualsLang=Japanese
4letter=jaww
2letter=ja
[var.1087]
3letter=KAZ
ManualsLang=Kazakh
4letter=kkww
2letter=kk
[var.1042]
3letter=KOR
ManualsLang=Korean
4letter=koww
2letter=ko
[var.2066]
3letter=KOR
ManualsLang=Korean
4letter=koww
2letter=ko
[var.1062]
3letter=LAV
ManualsLang=Latviski
4letter=lvww
2letter=lv
[var.1063]
3letter=LIT
ManualsLang=Lietuviskai
4letter=ltww
2letter=lt
[var.1044]
3letter=NOB
ManualsLang=Norsk
4letter=noww
2letter=no
[var.1045]
3letter=PLK
ManualsLang=Polski
4letter=plww
2letter=pl
[var.1048]
3letter=RON
ManualsLang=Romanian
4letter=roww
2letter=ro
[var.1049]
3letter=RUS
ManualsLang=Russian
4letter=ruww
2letter=ru
[var.2073]
3letter=RUS
ManualsLang=Russian
4letter=ruww
2letter=ru
[var.2074]
3letter=SRB
ManualsLang=Srpski
4letter=srww
2letter=sr
[var.3098]
3letter=SRB
ManualsLang=Srpski
4letter=srww
[var.6170]
3letter=SRB
ManualsLang=Srpski
4letter=srww
[var.7194]
3letter=SRB
ManualsLang=Srpski
4letter=srww
[var.1051]
3letter=SLK
ManualsLang=Slovak
4letter=skww
2letter=sk
[var.1060]
3letter=SLV
ManualsLang=Slovenian
4letter=slww
2letter=sl
[var.1034]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.11274]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.16394]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.13322]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.9226]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.5130]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.7178]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.12298]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.4106]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.18442]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.2058]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.19466]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.6154]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.10250]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.20490]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.15370]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.17418]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.14346]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.8202]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.3082]
3letter=ESN
ManualsLang=Espanol
4letter=esww
2letter=es
[var.1053]
3letter=SVE
ManualsLang=Svenska
4letter=svww
2letter=sv
[var.2077]
3letter=SVE
ManualsLang=Svenska
4letter=svww
2letter=sv
[var.1054]
3letter=THA
ManualsLang=Thai
4letter=thww
2letter=th
[var.1055]
3letter=TRK
ManualsLang=Turkce
4letter=trww
2letter=tr
[var.1058]
3letter=UKR
ManualsLang=Ukrainian
4letter=глцц
2letter=гл
[var.1058]
3letter=UKR
ManualsLang=Ukrainian
4letter=ukww
2letter=uk
[var.1066]
3letter=VIE
ManualsLang=Viet_Nam
4letter=viww
2letter=vi
